using System;

namespace Statystyki
{
    public partial class Default : System.Web.UI.Page
    {
        //public const string nazwaZmiennej_Suma = "suma";
        double suma = 0;

        protected void Page_Load(object sender, EventArgs e)
        {
            //if (Session.Keys.Count == 0) Session.Add(nazwaZmiennej_Suma, 0.0);
            //suma = (double)Session[nazwaZmiennej_Suma];
            suma = (double)Application[Global.nazwaZmiennej_Suma];            
            Label1.Text = suma.ToString();

            TextBox1.Focus();
        }        

        protected void Button1_Click(object sender, EventArgs e)
        {
            /*
            TODO:
            2. sesja!!!!!!!!!!!
            3. walidacja

            4. inne parametry: średnia, odchylenie std., mediana
            */

            try
            {                
                double dodawanaWartość = double.Parse(TextBox1.Text);
                suma += dodawanaWartość;
                Label1.Text = suma.ToString();
                Label1.ForeColor = System.Drawing.Color.Green;
                Application[Global.nazwaZmiennej_Suma] = suma;
            }
            catch (Exception exc)
            {
                Label1.Text = "Błąd: " + exc.Message;
                Label1.ForeColor = System.Drawing.Color.Red;
            }
        }
    }
}